org.keycloak.models.mongo.keycloak.entities

## Class MongoClientEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientEntity
    - - org.keycloak.models.mongo.keycloak.entities.MongoClientEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="clients")
      public class MongoClientEntity
      extends ClientEntity
      implements MongoIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.ClientEntity

      `attributes, baseUrl, bearerOnly, clientAuthenticatorType, clientId, clientTemplate, consentRequired, defaultRoles, description, directAccessGrantsEnabled, enabled, frontchannelLogout, fullScopeAllowed, identityProviders, implicitFlowEnabled, managementUrl, name, nodeReRegistrationTimeout, notBefore, protocol, protocolMappers, publicClient, realmId, redirectUris, registeredNodes, registrationToken, rootUrl, scopeIds, secret, serviceAccountsEnabled, standardFlowEnabled, surrogateAuthRequired, useTemplateConfig, useTemplateMappers, useTemplateScope, webOrigins`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoClientEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext context)` Lifecycle callback, which is called after removal of this object from Mongo.

    - ### Methods inherited from class org.keycloak.models.entities.ClientEntity

      `getAttributes, getBaseUrl, getClientAuthenticatorType, getClientId, getClientTemplate, getDefaultRoles, getDescription, getIdentityProviders, getManagementUrl, getName, getNodeReRegistrationTimeout, getNotBefore, getProtocol, getProtocolMappers, getRealmId, getRedirectUris, getRegisteredNodes, getRegistrationToken, getRootUrl, getScopeIds, getSecret, getWebOrigins, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, isSurrogateAuthRequired, isUseTemplateConfig, isUseTemplateMappers, isUseTemplateScope, setAttributes, setBaseUrl, setBearerOnly, setClientAuthenticatorType, setClientId, setClientTemplate, setConsentRequired, setDefaultRoles, setDescription, setDirectAccessGrantsEnabled, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setIdentityProviders, setImplicitFlowEnabled, setManagementUrl, setName, setNodeReRegistrationTimeout, setNotBefore, setProtocol, setProtocolMappers, setPublicClient, setRealmId, setRedirectUris, setRegisteredNodes, setRegistrationToken, setRootUrl, setScopeIds, setSecret, setServiceAccountsEnabled, setStandardFlowEnabled, setSurrogateAuthRequired, setUseTemplateConfig, setUseTemplateMappers, setUseTemplateScope, setWebOrigins`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### MongoClientEntity

          public MongoClientEntity()

  - ### Method Detail

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext context)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2016 JBoss by Red Hat. All rights reserved.